Package uk.ac.starlink.topcat.contrib.basti

# Class BaSTITableLoadDialog

java.lang.Object
uk.ac.starlink.table.gui.AbstractTableLoadDialog
uk.ac.starlink.topcat.contrib.basti.BaSTITableLoadDialog

All Implemented Interfaces:
  `uk.ac.starlink.table.gui.TableLoadDialog`

public class BaSTITableLoadDialog extends uk.ac.starlink.table.gui.AbstractTableLoadDialog

Author:
  molinaro, taylor

## Constructor Summary

Constructors
Constructor
Description
`BaSTITableLoadDialog()`

## Method Summary

Modifier and Type
Method
Description
`protected Component`
`createQueryComponent()`
`uk.ac.starlink.table.gui.TableLoader`
`createTableLoader()`

### Methods inherited from class uk.ac.starlink.table.gui.AbstractTableLoadDialog

`addToolbarAction, asIOException, configure, createFormatSelector, getDescription, getIcon, getMenus, getName, getQueryComponent, getSelectedFormat, getSubmitAction, getToolbarActions, isAvailable, isComponentShowing, isReady, setIcon, setIconUrl, setMenus, setToolbarActions, submit, updateReady`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BaSTITableLoadDialog

public BaSTITableLoadDialog()

## Method Details

### createTableLoader

public uk.ac.starlink.table.gui.TableLoader createTableLoader()

### createQueryComponent

protected Component createQueryComponent()

Specified by:
  `createQueryComponent` in class `uk.ac.starlink.table.gui.AbstractTableLoadDialog`